package com.sundata.internalevaluation.business.model;

/**
 * Created by IntelliJ IDEA.
 *
 * @author JoeLazy
 * @date 2025-02-27 16:51:55
 * @description: 异步接口任务表
 */
public class IrbonlineAsynTaskInfo {

    /**
     * 接口流水号   任务编号
     */
    private String taskId;


    /**
     * 申请单号
     */
    private String applyNo;


    /**
     * 授信类型   1-预授信，2-授信
     */
    private String credType;


    /**
     * 规则集编号
     */
    private String rulesNo;


    /**
     * 模型编号
     */
    private String modelNo;


    /**
     * 授信方案编号
     */
    private String creditNo;


    /**
     * 任务状态   01-处理完成，02处理中，03-未处理，04-处理失败
     */
    private String taskStatus;


    public IrbonlineAsynTaskInfo() {
    }

    public IrbonlineAsynTaskInfo(String taskId, String applyNo, String credType, String rulesNo, String modelNo, String creditNo, String taskStatus) {
        this.taskId = taskId;
        this.applyNo = applyNo;
        this.credType = credType;
        this.rulesNo = rulesNo;
        this.modelNo = modelNo;
        this.creditNo = creditNo;
        this.taskStatus = taskStatus;
    }

    /**
     * 获取
     * @return taskId
     */
    public String getTaskId() {
        return taskId;
    }

    /**
     * 设置
     * @param taskId
     */
    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    /**
     * 获取
     * @return applyNo
     */
    public String getApplyNo() {
        return applyNo;
    }

    /**
     * 设置
     * @param applyNo
     */
    public void setApplyNo(String applyNo) {
        this.applyNo = applyNo;
    }

    /**
     * 获取
     * @return credType
     */
    public String getCredType() {
        return credType;
    }

    /**
     * 设置
     * @param credType
     */
    public void setCredType(String credType) {
        this.credType = credType;
    }

    /**
     * 获取
     * @return rulesNo
     */
    public String getRulesNo() {
        return rulesNo;
    }

    /**
     * 设置
     * @param rulesNo
     */
    public void setRulesNo(String rulesNo) {
        this.rulesNo = rulesNo;
    }

    /**
     * 获取
     * @return modelNo
     */
    public String getModelNo() {
        return modelNo;
    }

    /**
     * 设置
     * @param modelNo
     */
    public void setModelNo(String modelNo) {
        this.modelNo = modelNo;
    }

    /**
     * 获取
     * @return creditNo
     */
    public String getCreditNo() {
        return creditNo;
    }

    /**
     * 设置
     * @param creditNo
     */
    public void setCreditNo(String creditNo) {
        this.creditNo = creditNo;
    }

    /**
     * 获取
     * @return taskStatus
     */
    public String getTaskStatus() {
        return taskStatus;
    }

    /**
     * 设置
     * @param taskStatus
     */
    public void setTaskStatus(String taskStatus) {
        this.taskStatus = taskStatus;
    }

    public String toString() {
        return "IrbonlineAsynTaskInfo{taskId = " + taskId + ", applyNo = " + applyNo + ", credType = " + credType + ", rulesNo = " + rulesNo + ", modelNo = " + modelNo + ", creditNo = " + creditNo + ", taskStatus = " + taskStatus + "}";
    }
}
